<?php

namespace Cas\Subcategory\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SubcategoryTransformer extends TransformerAbstract
{
    public function transform(\Cas\Subcategory\Models\Subcategory $subcategory)
    {
        return [
            'id'                => $subcategory->getRouteKey(),
            'key'               => [
                'public'    => $subcategory->getPublicKey(),
                'route'     => $subcategory->getRouteKey(),
            ], 
            'id'                => $subcategory->id,
            'category_id'       => $subcategory->category_id,
            'name'              => $subcategory->name,
            'price'             => $subcategory->price,
            'days'              => $subcategory->days,
            'expedite'          => $subcategory->expedite,
            'expedite_price'    => $subcategory->expedite_price,
            'created_at'        => $subcategory->created_at,
            'updated_at'        => $subcategory->updated_at,
            'deleted_at'        => $subcategory->deleted_at,
            'url'               => [
                'public'    => trans_url('subcategory/'.$subcategory->getPublicKey()),
                'user'      => guard_url('subcategory/subcategory/'.$subcategory->getRouteKey()),
            ], 
            'status'            => trans('app.'.$subcategory->status),
            'created_at'        => format_date($subcategory->created_at),
            'updated_at'        => format_date($subcategory->updated_at),
        ];
    }
}