<?php

namespace Cas\Subcategory;

use User;

class Subcategory
{
    /**
     * $subcategory object.
     */
    protected $subcategory;

    /**
     * Constructor.
     */
    public function __construct(\Cas\Subcategory\Interfaces\SubcategoryRepositoryInterface $subcategory)
    {
        $this->subcategory = $subcategory;
    }

    /**
     * Returns count of subcategory.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.subcategory.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->subcategory->pushCriteria(new \Litepie\Cas\Repositories\Criteria\SubcategoryUserCriteria());
        }

        $subcategory = $this->subcategory->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('subcategory::' . $view, compact('subcategory'))->render();
    }
}
